Normalize
Arithmetic Operations

Normalize each sample of a real or complex signal using offset and division operations. More...

## Functions

NppStatus | nppsNormalize_32f_Ctx (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f vSub, Npp32f vDiv, NppStreamContext nppStreamCtx)
| 32-bit floating point signal normalize. More...
NppStatus | nppsNormalize_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f vSub, Npp32f vDiv)
NppStatus | nppsNormalize_32fc_Ctx (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32fc vSub, Npp32f vDiv, NppStreamContext nppStreamCtx)
| 32-bit complex floating point signal normalize. More...
NppStatus | nppsNormalize_32fc (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32fc vSub, Npp32f vDiv)
NppStatus | nppsNormalize_64f_Ctx (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f vSub, Npp64f vDiv, NppStreamContext nppStreamCtx)
| 64-bit floating point signal normalize. More...
NppStatus | nppsNormalize_64f (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f vSub, Npp64f vDiv)
NppStatus | nppsNormalize_64fc_Ctx (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64fc vSub, Npp64f vDiv, NppStreamContext nppStreamCtx)
| 64-bit complex floating point signal normalize. More...
NppStatus | nppsNormalize_64fc (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64fc vSub, Npp64f vDiv)
NppStatus | nppsNormalize_16s_Sfs_Ctx (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s vSub, int vDiv, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit signed short signal normalize, scale, then clamp to saturated value. More...
NppStatus | nppsNormalize_16s_Sfs (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s vSub, int vDiv, int nScaleFactor)
NppStatus | nppsNormalize_16sc_Sfs_Ctx (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16sc vSub, int vDiv, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit complex signed short signal normalize, scale, then clamp to saturated value. More...
NppStatus | nppsNormalize_16sc_Sfs (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16sc vSub, int vDiv, int nScaleFactor)

## Detailed Description

Normalize each sample of a real or complex signal using offset and division operations.

## Function Documentation

NppStatus nppsNormalize_16s_Sfs | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | vSub,
|  | int | vDiv,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsNormalize_16s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | vSub,
|  | int | vDiv,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal normalize, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  vSub | value subtracted from each signal element before division
  vDiv | divisor of post-subtracted signal element dividend
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormalize_16sc_Sfs | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16sc | vSub,
|  | int | vDiv,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsNormalize_16sc_Sfs_Ctx | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16sc | vSub,
|  | int | vDiv,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit complex signed short signal normalize, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  vSub | value subtracted from each signal element before division
  vDiv | divisor of post-subtracted signal element dividend
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormalize_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | vSub,
|  | Npp32f | vDiv
| ) |  |

NppStatus nppsNormalize_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | vSub,
|  | Npp32f | vDiv,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal normalize.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  vSub | value subtracted from each signal element before division
  vDiv | divisor of post-subtracted signal element dividend
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormalize_32fc | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32fc | vSub,
|  | Npp32f | vDiv
| ) |  |

NppStatus nppsNormalize_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32fc | vSub,
|  | Npp32f | vDiv,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit complex floating point signal normalize.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  vSub | value subtracted from each signal element before division
  vDiv | divisor of post-subtracted signal element dividend
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormalize_64f | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | vSub,
|  | Npp64f | vDiv
| ) |  |

NppStatus nppsNormalize_64f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | vSub,
|  | Npp64f | vDiv,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal normalize.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  vSub | value subtracted from each signal element before division
  vDiv | divisor of post-subtracted signal element dividend
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormalize_64fc | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64fc | vSub,
|  | Npp64f | vDiv
| ) |  |

NppStatus nppsNormalize_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64fc | vSub,
|  | Npp64f | vDiv,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit complex floating point signal normalize.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  vSub | value subtracted from each signal element before division
  vDiv | divisor of post-subtracted signal element dividend
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2018 NVIDIA Corporation